angular.module('admin')
.controller('InvoicedController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestProduct();
  };
  
  $scope.reload = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/invoiced')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };

  $scope.submeter = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/seller/dock/"+$scope.dock+"/"+dateStart+"/"+dateFinal)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };

}).controller('CanceledController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;

  $scope.inicio = function(){
    $scope.requestProduct();
  };
  
  $scope.reload = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/canceled')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };

  $scope.submeter = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/seller/dock/"+$scope.dock+"/"+dateStart+"/"+dateFinal)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };

}).controller('ReadyController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestProduct();
  };
  
  $scope.reload = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/ready-for-handling')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };

  $scope.submeter = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/seller/dock/"+$scope.dock+"/"+dateStart+"/"+dateFinal)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };
});
